summaryrefslogtreecommitdiff
path: root/bg2/install-tob-1cd-us-minimal.sh
diff options
context:
space:
mode:
authorNick Daly <myownlittlworld@hotmail.com>2009-07-02 16:04:30 -0500
committerNick Daly <myownlittlworld@hotmail.com>2009-07-02 16:04:30 -0500
commitbb49604cff2511713c0dc774b0851537a1611c9b (patch)
treeb5c8aa3d109c6f266d6adf163bdf5b708ac3cbcb /bg2/install-tob-1cd-us-minimal.sh
parent962f28c581d17237b1a85b4c7771877d8c35a98a (diff)
downloadgemrb-gameinstallers-bb49604cff2511713c0dc774b0851537a1611c9b.tar.bz2
gemrb-gameinstallers-bb49604cff2511713c0dc774b0851537a1611c9b.zip
Completing the BG2-TOB installer.
Diffstat (limited to 'bg2/install-tob-1cd-us-minimal.sh')
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
index 5ae27ab..5ec0f16 100755
--- a/bg2/install-tob-1cd-us-minimal.sh
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -32,10 +32,22 @@ mkdir -p "$TARGETDIR" || die
if [ ! -e "${TARGETDIR}/cd2/data/area000a.bif" ]
then
+ echo "You haven't installed BG2-SOA!"
die
# TODO ask user to run the appropriate preinstaller.
fi
-# TODO finish everything below here.
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
+
+move_and_remove "${TARGETDIR}/hd025music" "${TARGETDIR}/music"
+move_and_remove "${TARGETDIR}/hd0_english/characters" "${TARGETDIR}/characters"
+move_and_remove "${TARGETDIR}/hd0_english/override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/hd0_override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/minimum_25_data" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/minimum_25_data_english" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/hd0_english/" "${TARGETDIR}/"
+move_and_remove "${TARGETDIR}/hd0" "${TARGETDIR}/"
teardown "$TARGETDIR"